diff --git a/debian/control.d/meta-nvidia b/debian/control.d/meta-nvidia
index 25ef51e..dd573df 100644
--- a/debian/control.d/meta-nvidia
+++ b/debian/control.d/meta-nvidia
@@ -24,15 +24,15 @@ Description: Extra drivers for nvidia-435 for azure${variant:suffix}
  Install extra signed nvidia-435 modules compatible with
  azure${variant:suffix}

-Package: linux-modules-nvidia-440-azure${variant:suffix}
+Package: linux-modules-nvidia-450-azure${variant:suffix}
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
-Provides: ${dkms:nvidia-440-modules}
+Provides: ${dkms:nvidia-450-modules}
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-440-@ABI@-azure (= ${binary:Version}),
- ${nvk:nvidia-440}
-Description: Extra drivers for nvidia-440 for azure${variant:suffix}
- Install extra signed nvidia-440 modules compatible with
+ linux-modules-nvidia-450-@ABI@-azure (= ${binary:Version}),
+ ${nvk:nvidia-450}
+Description: Extra drivers for nvidia-450 for azure${variant:suffix}
+ Install extra signed nvidia-450 modules compatible with
  azure${variant:suffix}
diff --git a/debian/control.d/migrate-nvidia-440 b/debian/control.d/migrate-nvidia-440
new file mode 100644
index 0000000..91e1988
--- /dev/null
+++ b/debian/control.d/migrate-nvidia-440
@@ -0,0 +1,6 @@
+Package: linux-modules-nvidia-440-azure
+Architecture: amd64
+Section: oldlibs
+Depends: linux-modules-nvidia-450-azure
+Description: Extra drivers for nvidia-440 for the azure flavour (dummy transitional package)
+ Transitional package for upgrades of -440 to -450.
diff --git a/debian/control.d/nvidia b/debian/control.d/nvidia
index 5475dae..1ceb496 100644
--- a/debian/control.d/nvidia
+++ b/debian/control.d/nvidia
@@ -38,7 +38,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.

-Package: linux-modules-nvidia-440-@ABI@-azure
+Package: linux-modules-nvidia-450-@ABI@-azure
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
@@ -49,11 +49,11 @@ Depends:
  ${shlibs:Depends},
  binutils,
  linux-image-@ABI@-azure | linux-image-unsigned-@ABI@-azure,
- nvidia-kernel-common-440,
+ nvidia-kernel-common-450,
 Description: Linux kernel nvidia modules for version @ABI@
  This package contains the Linux kernel nvidia modules for version @ABI@.
  .
  You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-440-azure* meta-packages,
+ one of the linux-modules-nvidia-450-azure* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
diff --git a/debian/dkms-versions b/debian/dkms-versions
index 6873db2..b016113 100644
--- a/debian/dkms-versions
+++ b/debian/dkms-versions
@@ -1,7 +1,7 @@
 zfs-linux 0.8.3-1ubuntu12.2
 nvidia-graphics-drivers-390 390.138-0ubuntu0.20.04.1
 nvidia-graphics-drivers-435 435.21-0ubuntu7
-nvidia-graphics-drivers-440 440.100-0ubuntu0.20.04.1
+nvidia-graphics-drivers-450 0
 nvidia-graphics-drivers-418-server 418.152.00-0ubuntu0.20.04.1
 nvidia-graphics-drivers-440-server 440.95.01-0ubuntu0.20.04.1
 virtualbox 6.1.10-dfsg-1~ubuntu1.20.04.1
diff --git a/debian/rules b/debian/rules
index 1e8edca..c91e509 100755
--- a/debian/rules
+++ b/debian/rules
@@ -15,11 +15,11 @@ src_kernel = $(shell echo "$(src_package)" | sed -e 's/restricted-modules-//')

 dkms_nvidia_390_version=$(shell gawk '/^nvidia-graphics-drivers-390 / { print $$2; }' debian/dkms-versions)
 dkms_nvidia_435_version=$(shell gawk '/^nvidia-graphics-drivers-435 / { print $$2; }' debian/dkms-versions)
-dkms_nvidia_440_version=$(shell gawk '/^nvidia-graphics-drivers-440 / { print $$2; }' debian/dkms-versions)
+dkms_nvidia_450_version=$(shell gawk '/^nvidia-graphics-drivers-450 / { print $$2; }' debian/dkms-versions)

 nvidia_390_upstream_version=$(shell echo "$(dkms_nvidia_390_version)" | cut -d '-' -f 1)
 nvidia_435_upstream_version=$(shell echo "$(dkms_nvidia_435_version)" | cut -d '-' -f 1)
-nvidia_440_upstream_version=$(shell echo "$(dkms_nvidia_440_version)" | cut -d '-' -f 1)
+nvidia_450_upstream_version=$(shell echo "$(dkms_nvidia_450_version)" | cut -d '-' -f 1)

 # Get variants, assuming primary if debian/variants is not present
 variants = --
@@ -139,10 +139,10 @@ nvidia-%:
 	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-435-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-435-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-435, pool/restricted/n/nvidia-graphics-drivers-435/nvidia-kernel-source-435_$(dkms_nvidia_435_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-435/nvidia-dkms-435_$(dkms_nvidia_435_version)_$(arch).deb)
 	$(call install_control,linux-modules-nvidia-435-$(src_abi)-$*,$*,nvidia,435,postinst postrm prerm config templates)

-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*
-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*/usr/lib/linux/triggers
-	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-440-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-440-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-440, pool/restricted/n/nvidia-graphics-drivers-440/nvidia-kernel-source-440_$(dkms_nvidia_440_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-440/nvidia-dkms-440_$(dkms_nvidia_440_version)_$(arch).deb)
-	$(call install_control,linux-modules-nvidia-440-$(src_abi)-$*,$*,nvidia,440,postinst postrm prerm config templates)
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*/usr/lib/linux/triggers
+	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-450-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-450-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-450, pool/restricted/n/nvidia-graphics-drivers-450/nvidia-kernel-source-450_$(dkms_nvidia_450_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-450/nvidia-dkms-450_$(dkms_nvidia_450_version)_$(arch).deb)
+	$(call install_control,linux-modules-nvidia-450-$(src_abi)-$*,$*,nvidia,450,postinst postrm prerm config templates)

 prepare-dkms:
 	mkdir -p $(dkms_dir)
@@ -157,11 +157,11 @@ override_dh_auto_install: prepare-dkms $(flavours)
 gencontrol_flags :=
 gencontrol_flags += -Vdkms:nvidia-390-modules="nvidia-dkms-390 (= $(dkms_nvidia_390_version))"
 gencontrol_flags += -Vdkms:nvidia-435-modules="nvidia-dkms-435 (= $(dkms_nvidia_435_version))"
-gencontrol_flags += -Vdkms:nvidia-440-modules="nvidia-dkms-440 (= $(dkms_nvidia_440_version))"
+gencontrol_flags += -Vdkms:nvidia-450-modules="nvidia-dkms-450 (= $(dkms_nvidia_450_version))"

 gencontrol_flags += -Vnvk:nvidia-390="nvidia-kernel-common-390 (<= $(nvidia_390_upstream_version)-1), nvidia-kernel-common-390 (>= $(nvidia_390_upstream_version))"
 gencontrol_flags += -Vnvk:nvidia-435="nvidia-kernel-common-435 (<= $(nvidia_435_upstream_version)-1), nvidia-kernel-common-435 (>= $(nvidia_435_upstream_version))"
-gencontrol_flags += -Vnvk:nvidia-440="nvidia-kernel-common-440 (<= $(nvidia_440_upstream_version)-1), nvidia-kernel-common-440 (>= $(nvidia_440_upstream_version))"
+gencontrol_flags += -Vnvk:nvidia-450="nvidia-kernel-common-450 (<= $(nvidia_450_upstream_version)-1), nvidia-kernel-common-450 (>= $(nvidia_450_upstream_version))"

 override_dh_gencontrol:
 	dh_gencontrol -- $(gencontrol_flags)