diff --git a/debian/control.d/meta-nvidia b/debian/control.d/meta-nvidia
index 1d0f531..23285e0 100644
--- a/debian/control.d/meta-nvidia
+++ b/debian/control.d/meta-nvidia
@@ -11,17 +11,17 @@ Description: Extra drivers for nvidia-390 for oracle${variant:suffix}
  Install extra signed nvidia-390 modules compatible with
  oracle${variant:suffix}

-Package: linux-modules-nvidia-440-oracle${variant:suffix}
+Package: linux-modules-nvidia-450-oracle${variant:suffix}
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
-Provides: ${dkms:nvidia-440-modules}
+Provides: ${dkms:nvidia-450-modules}
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-440-@ABI@-oracle (= ${binary:Version}),
- ${nvk:nvidia-440}
-Description: Extra drivers for nvidia-440 for oracle${variant:suffix}
- Install extra signed nvidia-440 modules compatible with
+ linux-modules-nvidia-450-@ABI@-oracle (= ${binary:Version}),
+ ${nvk:nvidia-450}
+Description: Extra drivers for nvidia-450 for oracle${variant:suffix}
+ Install extra signed nvidia-450 modules compatible with
  oracle${variant:suffix}

 Package: linux-modules-nvidia-435-oracle${variant:suffix}
diff --git a/debian/control.d/nvidia b/debian/control.d/nvidia
index 302dde1..d5fcfd5 100644
--- a/debian/control.d/nvidia
+++ b/debian/control.d/nvidia
@@ -17,7 +17,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.

-Package: linux-modules-nvidia-440-@ABI@-oracle
+Package: linux-modules-nvidia-450-@ABI@-oracle
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
@@ -32,7 +32,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  This package contains the Linux kernel nvidia modules for version @ABI@.
  .
  You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-440-oracle* meta-packages,
+ one of the linux-modules-nvidia-450-oracle* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.

diff --git a/debian/control.d/update-nvidia-440 b/debian/control.d/update-nvidia-440
new file mode 100644
index 0000000..b624163
--- /dev/null
+++ b/debian/control.d/update-nvidia-440
@@ -0,0 +1,10 @@
+Package: linux-modules-nvidia-440-@ABI@-oracle
+Build-Profiles: <!stage1>
+Architecture: amd64
+Section: kernel
+Priority: optional
+Built-Using: ${linux:BuiltUsing}
+Depends: linux-modules-nvidia-450-@ABI@-oracle
+Description: Transitional package for linux-modules-nvidia-450-ABI-oracle
+ This is a transitional package for linux-modules-nvidia-450-ABI-oracle,
+ and can be safely removed after the installation is complete.
diff --git a/debian/dkms-versions b/debian/dkms-versions
index 6b0c327..d76fb1b 100644
--- a/debian/dkms-versions
+++ b/debian/dkms-versions
@@ -1,6 +1,6 @@
 zfs-linux 0.8.1-1ubuntu14.4
 nvidia-graphics-drivers-390 390.138-0ubuntu0.19.10.1
-nvidia-graphics-drivers-440 440.100-0ubuntu0.19.10.1
+nvidia-graphics-drivers-450 0
 nvidia-graphics-drivers-435 435.21-0ubuntu2
 virtualbox 6.0.14-dfsg-1
 wireguard-linux-compat 1.0.20200506-1~19.10.2
diff --git a/debian/rules b/debian/rules
index 3955cee..f1bdfdf 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,12 +14,12 @@ src_series = $(shell dpkg-parsechangelog -SDistribution | sed -e 's/-\(security\
 src_kernel = $(shell echo "$(src_package)" | sed -e 's/restricted-modules-//')

 dkms_nvidia_390_version=$(shell gawk '/^nvidia-graphics-drivers-390/ { print $$2; }' debian/dkms-versions)
-dkms_nvidia_440_version=$(shell gawk '/^nvidia-graphics-drivers-440/ { print $$2; }' debian/dkms-versions)
+dkms_nvidia_450_version=$(shell gawk '/^nvidia-graphics-drivers-450/ { print $$2; }' debian/dkms-versions)
 dkms_nvidia_435_version=$(shell gawk '/^nvidia-graphics-drivers-435/ { print $$2; }' debian/dkms-versions)

 nvidia_390_upstream_version=$(shell echo "$(dkms_nvidia_390_version)" | cut -d '-' -f 1)
 nvidia_435_upstream_version=$(shell echo "$(dkms_nvidia_435_version)" | cut -d '-' -f 1)
-nvidia_440_upstream_version=$(shell echo "$(dkms_nvidia_440_version)" | cut -d '-' -f 1)
+nvidia_450_upstream_version=$(shell echo "$(dkms_nvidia_450_version)" | cut -d '-' -f 1)

 # Get variants, assuming primary if debian/variants is not present
 variants = --
@@ -134,10 +134,10 @@ nvidia-%:
 	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-390-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-390-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-390, pool/restricted/n/nvidia-graphics-drivers-390/nvidia-kernel-source-390_$(dkms_nvidia_390_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-390/nvidia-dkms-390_$(dkms_nvidia_390_version)_$(arch).deb)
 	$(call install_control,linux-modules-nvidia-390-$(src_abi)-$*,$*,nvidia,390,postinst postrm prerm config templates)

-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*
-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*/usr/lib/linux/triggers
-	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-440-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-440-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-440, pool/restricted/n/nvidia-graphics-drivers-440/nvidia-kernel-source-440_$(dkms_nvidia_440_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-440/nvidia-dkms-440_$(dkms_nvidia_440_version)_$(arch).deb)
-	$(call install_control,linux-modules-nvidia-440-$(src_abi)-$*,$*,nvidia,440,postinst postrm prerm config templates)
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*/usr/lib/linux/triggers
+	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-450-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-450-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-450, pool/restricted/n/nvidia-graphics-drivers-450/nvidia-kernel-source-450_$(dkms_nvidia_450_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-450/nvidia-dkms-450_$(dkms_nvidia_450_version)_$(arch).deb)
+	$(call install_control,linux-modules-nvidia-450-$(src_abi)-$*,$*,nvidia,450,postinst postrm prerm config templates)

 	install -d debian/linux-modules-nvidia-435-$(src_abi)-$*
 	install -d debian/linux-modules-nvidia-435-$(src_abi)-$*/usr/lib/linux/triggers
@@ -156,12 +156,12 @@ override_dh_auto_install: prepare-dkms $(flavours)

 gencontrol_flags :=
 gencontrol_flags += -Vdkms:nvidia-390-modules="nvidia-dkms-390 (= $(dkms_nvidia_390_version))"
-gencontrol_flags += -Vdkms:nvidia-440-modules="nvidia-dkms-440 (= $(dkms_nvidia_440_version))"
+gencontrol_flags += -Vdkms:nvidia-450-modules="nvidia-dkms-450 (= $(dkms_nvidia_450_version))"
 gencontrol_flags += -Vdkms:nvidia-435-modules="nvidia-dkms-435 (= $(dkms_nvidia_435_version))"

 gencontrol_flags += -Vnvk:nvidia-390="nvidia-kernel-common-390 (<= $(nvidia_390_upstream_version)-1), nvidia-kernel-common-390 (>= $(nvidia_390_upstream_version))"
 gencontrol_flags += -Vnvk:nvidia-435="nvidia-kernel-common-435 (<= $(nvidia_435_upstream_version)-1), nvidia-kernel-common-435 (>= $(nvidia_435_upstream_version))"
-gencontrol_flags += -Vnvk:nvidia-440="nvidia-kernel-common-440 (<= $(nvidia_440_upstream_version)-1), nvidia-kernel-common-440 (>= $(nvidia_440_upstream_version))"
+gencontrol_flags += -Vnvk:nvidia-450="nvidia-kernel-common-450 (<= $(nvidia_450_upstream_version)-1), nvidia-kernel-common-450 (>= $(nvidia_450_upstream_version))"

 override_dh_gencontrol:
 	dh_gencontrol -- $(gencontrol_flags)