diff --git a/debian/control.d/meta-nvidia b/debian/control.d/meta-nvidia
index b8e1d72..b5115bf 100644
--- a/debian/control.d/meta-nvidia
+++ b/debian/control.d/meta-nvidia
@@ -1,9 +1,9 @@
-Package: linux-modules-nvidia-440${variant:suffix}
+Package: linux-modules-nvidia-450${variant:suffix}
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
-Provides: ${dkms:nvidia-440-modules}
-Depends: ${misc:Depends}, linux-modules-nvidia-440-ABI-oem (= ${binary:Version}),
- ${nvk:nvidia-440}
-Description: Extra drivers for nvidia-440 for the OEM flavour
- Install extra signed nvidia-440 modules compatible with the OEM flavour.
+Provides: ${dkms:nvidia-450-modules}
+Depends: ${misc:Depends}, linux-modules-nvidia-450-ABI-oem (= ${binary:Version}),
+ ${nvk:nvidia-450}
+Description: Extra drivers for nvidia-450 for the OEM flavour
+ Install extra signed nvidia-450 modules compatible with the OEM flavour.
diff --git a/debian/control.d/nvidia b/debian/control.d/nvidia
index f774f52..b0dd828 100644
--- a/debian/control.d/nvidia
+++ b/debian/control.d/nvidia
@@ -1,4 +1,4 @@
-Package: linux-modules-nvidia-440-ABI-oem
+Package: linux-modules-nvidia-450-ABI-oem
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
diff --git a/debian/control.d/transitionals-nvidia-440 b/debian/control.d/transitionals-nvidia-440
new file mode 100644
index 0000000..982a2ee
--- /dev/null
+++ b/debian/control.d/transitionals-nvidia-440
@@ -0,0 +1,6 @@
+Package: linux-modules-nvidia-440-oem
+Architecture: amd64
+Section: oldlibs
+Depends: linux-modules-nvidia-450-oem
+Description: Extra drivers for nvidia-440 for the oem flavour (dummy transitional package)
+ Transitional package for upgrades of -440 to -450.
diff --git a/debian/dkms-versions b/debian/dkms-versions
index 05cf9f2..289e170 100644
--- a/debian/dkms-versions
+++ b/debian/dkms-versions
@@ -1,3 +1,3 @@
 zfs-linux 0.8.3-1ubuntu12
-nvidia-graphics-drivers-440 440.100-0ubuntu0.20.04.1
+nvidia-graphics-drivers-450 0
 virtualbox 6.1.6-dfsg-1
diff --git a/debian/rules b/debian/rules
index 5d7c195..5fe08ba 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,9 +16,9 @@ series = $(shell dpkg-parsechangelog | sed -ne 's/^Distribution: *//p' | sed -e
 
 VARIANT_PROVIDES=$(shell echo "$(src_package)" | sed -e 's/linux-restricted-modules-//')
 
-dkms_nvidia_440_version=$(shell gawk '/^nvidia-graphics-drivers-440 / { print $$2; }' debian/dkms-versions)
+dkms_nvidia_450_version=$(shell gawk '/^nvidia-graphics-drivers-450 / { print $$2; }' debian/dkms-versions)
 
-nvidia_440_upstream_version=$(shell echo "$(dkms_nvidia_440_version)" | cut -d '-' -f 1)
+nvidia_450_upstream_version=$(shell echo "$(dkms_nvidia_450_version)" | cut -d '-' -f 1)
 
 # Get variants, assumng primary if debian/variants is not present
 variants = --
@@ -125,10 +125,10 @@ flavours=$(patsubst /usr/lib/linux/$(src_abi)-%,nvidia-%,$(signatures))
 nvidia-%:
 	rm -rf $(dkms_dir)/build $(dkms_dir)/source
 	mkdir -p $(dkms_dir)/build $(dkms_dir)/source
-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*
-	install -d debian/linux-modules-nvidia-440-$(src_abi)-$*/usr/lib/linux/triggers
-	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-440-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-440-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-440, pool/restricted/n/nvidia-graphics-drivers-440/nvidia-kernel-source-440_$(dkms_nvidia_440_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-440/nvidia-dkms-440_$(dkms_nvidia_440_version)_$(arch).deb)
-	$(call install_control,linux-modules-nvidia-440-$(src_abi)-$*,$*,nvidia,440,postinst postrm prerm config templates)
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*
+	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*/usr/lib/linux/triggers
+	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-450-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-450-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-450, pool/restricted/n/nvidia-graphics-drivers-450/nvidia-kernel-source-450_$(dkms_nvidia_450_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-450/nvidia-dkms-450_$(dkms_nvidia_450_version)_$(arch).deb)
+	$(call install_control,linux-modules-nvidia-450-$(src_abi)-$*,$*,nvidia,450,postinst postrm prerm config templates)
 
 prepare-dkms:
 	mkdir -p $(dkms_dir)
@@ -137,9 +137,9 @@ prepare-dkms:
 override_dh_auto_install: prepare-dkms $(flavours)
 	dh_install
 
-gencontrol_flags += -Vdkms:nvidia-440-modules="nvidia-dkms-440 (= $(dkms_nvidia_440_version))"
+gencontrol_flags += -Vdkms:nvidia-450-modules="nvidia-dkms-450 (= $(dkms_nvidia_450_version))"
 
-gencontrol_flags += -Vnvk:nvidia-440="nvidia-kernel-common-440 (<= $(nvidia_440_upstream_version)-1), nvidia-kernel-common-440 (>= $(nvidia_440_upstream_version))"
+gencontrol_flags += -Vnvk:nvidia-450="nvidia-kernel-common-450 (<= $(nvidia_450_upstream_version)-1), nvidia-kernel-common-450 (>= $(nvidia_450_upstream_version))"
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(gencontrol_flags)