diff --git a/debian/control.d/meta-nvidia b/debian/control.d/meta-nvidia
index c858688..001e257 100644
--- a/debian/control.d/meta-nvidia
+++ b/debian/control.d/meta-nvidia
@@ -11,17 +11,17 @@ Description: Extra drivers for nvidia-390 for generic${variant:suffix}
  Install extra signed nvidia-390 modules compatible with
  generic${variant:suffix}
 
-Package: linux-modules-nvidia-435-generic${variant:suffix}
+Package: linux-modules-nvidia-455-generic${variant:suffix}
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
-Provides: ${dkms:nvidia-435-modules}, nvidia-prebuilt-kernel
+Provides: ${dkms:nvidia-455-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-435-@ABI@-generic (= ${binary:Version}),
- ${nvk:nvidia-435}
-Description: Extra drivers for nvidia-435 for generic${variant:suffix}
- Install extra signed nvidia-435 modules compatible with
+ linux-modules-nvidia-455-@ABI@-generic (= ${binary:Version}),
+ ${nvk:nvidia-455}
+Description: Extra drivers for nvidia-455 for generic${variant:suffix}
+ Install extra signed nvidia-455 modules compatible with
  generic${variant:suffix}
 
 Package: linux-modules-nvidia-450-generic${variant:suffix}
@@ -89,17 +89,17 @@ Description: Extra drivers for nvidia-390 for lowlatency${variant:suffix}
  Install extra signed nvidia-390 modules compatible with
  lowlatency${variant:suffix}
 
-Package: linux-modules-nvidia-435-lowlatency${variant:suffix}
+Package: linux-modules-nvidia-455-lowlatency${variant:suffix}
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
-Provides: ${dkms:nvidia-435-modules}, nvidia-prebuilt-kernel
+Provides: ${dkms:nvidia-455-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-435-@ABI@-lowlatency (= ${binary:Version}),
- ${nvk:nvidia-435}
-Description: Extra drivers for nvidia-435 for lowlatency${variant:suffix}
- Install extra signed nvidia-435 modules compatible with
+ linux-modules-nvidia-455-@ABI@-lowlatency (= ${binary:Version}),
+ ${nvk:nvidia-455}
+Description: Extra drivers for nvidia-455 for lowlatency${variant:suffix}
+ Install extra signed nvidia-455 modules compatible with
  lowlatency${variant:suffix}
 
 Package: linux-modules-nvidia-450-lowlatency${variant:suffix}
diff --git a/debian/control.d/nvidia b/debian/control.d/nvidia
index 383c55d..7558620 100644
--- a/debian/control.d/nvidia
+++ b/debian/control.d/nvidia
@@ -17,7 +17,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-modules-nvidia-435-@ABI@-generic
+Package: linux-modules-nvidia-455-@ABI@-generic
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
@@ -32,7 +32,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  This package contains the Linux kernel nvidia modules for version @ABI@.
  .
  You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-435-generic* meta-packages,
+ one of the linux-modules-nvidia-455-generic* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
@@ -131,7 +131,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
-Package: linux-modules-nvidia-435-@ABI@-lowlatency
+Package: linux-modules-nvidia-455-@ABI@-lowlatency
 Build-Profiles: <!stage1>
 Architecture: amd64
 Section: kernel
@@ -146,7 +146,7 @@ Description: Linux kernel nvidia modules for version @ABI@
  This package contains the Linux kernel nvidia modules for version @ABI@.
  .
  You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-435-lowlatency* meta-packages,
+ one of the linux-modules-nvidia-455-lowlatency* meta-packages,
  which will ensure that upgrades work correctly, and that supporting packages are
  also installed.
 
diff --git a/debian/control.d/transitionals-nvidia-435 b/debian/control.d/transitionals-nvidia-435
new file mode 100644
index 0000000..9419998
--- /dev/null
+++ b/debian/control.d/transitionals-nvidia-435
@@ -0,0 +1,13 @@
+Package: linux-modules-nvidia-435-generic
+Architecture: amd64
+Section: oldlibs
+Depends: linux-modules-nvidia-455-generic
+Description: Extra drivers for nvidia-435 for the generic flavour (dummy transitional package)
+ Transitional package for upgrades of -435 to -455.
+
+Package: linux-modules-nvidia-435-lowlatency
+Architecture: amd64
+Section: oldlibs
+Depends: linux-modules-nvidia-455-lowlatency
+Description: Extra drivers for nvidia-435 for the generic flavour (dummy transitional package)
+ Transitional package for upgrades of -435 to -455.
diff --git a/debian/dkms-versions b/debian/dkms-versions
index cda76a2..4029316 100644
--- a/debian/dkms-versions
+++ b/debian/dkms-versions
@@ -1,6 +1,6 @@
 zfs-linux 0.8.3-1ubuntu12.4
 nvidia-graphics-drivers-390 390.138-0ubuntu0.20.04.1
-nvidia-graphics-drivers-435 435.21-0ubuntu7
+nvidia-graphics-drivers-455 0
 nvidia-graphics-drivers-450 450.66-0ubuntu0.20.04.1
 nvidia-graphics-drivers-418-server 418.152.00-0ubuntu0.20.04.1
 nvidia-graphics-drivers-440-server 440.95.01-0ubuntu0.20.04.1
diff --git a/debian/rules b/debian/rules
index 91dcab6..744645a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,14 +14,14 @@ src_series = $(shell dpkg-parsechangelog -SDistribution | sed -e 's/-\(security\
 src_kernel = $(shell echo "$(src_package)" | sed -e 's/restricted-modules-//')
 
 dkms_nvidia_390_version=$(shell gawk '/^nvidia-graphics-drivers-390 / { print $$2; }' debian/dkms-versions)
-dkms_nvidia_435_version=$(shell gawk '/^nvidia-graphics-drivers-435 / { print $$2; }' debian/dkms-versions)
+dkms_nvidia_455_version=$(shell gawk '/^nvidia-graphics-drivers-455 / { print $$2; }' debian/dkms-versions)
 dkms_nvidia_450_version=$(shell gawk '/^nvidia-graphics-drivers-450 / { print $$2; }' debian/dkms-versions)
 dkms_nvidia_418_server_version=$(shell gawk '/^nvidia-graphics-drivers-418-server / { print $$2; }' debian/dkms-versions)
 dkms_nvidia_440_server_version=$(shell gawk '/^nvidia-graphics-drivers-440-server / { print $$2; }' debian/dkms-versions)
 dkms_nvidia_450_server_version=$(shell gawk '/^nvidia-graphics-drivers-450-server / { print $$2; }' debian/dkms-versions)
 
 nvidia_390_upstream_version=$(shell echo "$(dkms_nvidia_390_version)" | cut -d '-' -f 1)
-nvidia_435_upstream_version=$(shell echo "$(dkms_nvidia_435_version)" | cut -d '-' -f 1)
+nvidia_455_upstream_version=$(shell echo "$(dkms_nvidia_455_version)" | cut -d '-' -f 1)
 nvidia_450_upstream_version=$(shell echo "$(dkms_nvidia_450_version)" | cut -d '-' -f 1)
 nvidia_418_server_upstream_version=$(shell echo "$(dkms_nvidia_418_server_version)" | cut -d '-' -f 1)
 nvidia_440_server_upstream_version=$(shell echo "$(dkms_nvidia_440_server_version)" | cut -d '-' -f 1)
@@ -140,10 +140,10 @@ nvidia-%:
 	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-390-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-390-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-390, pool/restricted/n/nvidia-graphics-drivers-390/nvidia-kernel-source-390_$(dkms_nvidia_390_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-390/nvidia-dkms-390_$(dkms_nvidia_390_version)_$(arch).deb)
 	$(call install_control,linux-modules-nvidia-390-$(src_abi)-$*,$*,nvidia,390,postinst postrm prerm config templates)
 
-	install -d debian/linux-modules-nvidia-435-$(src_abi)-$*
-	install -d debian/linux-modules-nvidia-435-$(src_abi)-$*/usr/lib/linux/triggers
-	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-435-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-435-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-435, pool/restricted/n/nvidia-graphics-drivers-435/nvidia-kernel-source-435_$(dkms_nvidia_435_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-435/nvidia-dkms-435_$(dkms_nvidia_435_version)_$(arch).deb)
-	$(call install_control,linux-modules-nvidia-435-$(src_abi)-$*,$*,nvidia,435,postinst postrm prerm config templates)
+	install -d debian/linux-modules-nvidia-455-$(src_abi)-$*
+	install -d debian/linux-modules-nvidia-455-$(src_abi)-$*/usr/lib/linux/triggers
+	$(call build_dkms, $(src_abi)-$*, linux-modules-nvidia-455-$(src_abi)-$*, $(CURDIR)/debian/linux-modules-nvidia-455-$(src_abi)-$*/lib/modules/$(src_abi)-$*/kernel, "", nvidia-455, pool/restricted/n/nvidia-graphics-drivers-455/nvidia-kernel-source-455_$(dkms_nvidia_455_version)_$(arch).deb pool/restricted/n/nvidia-graphics-drivers-455/nvidia-dkms-455_$(dkms_nvidia_455_version)_$(arch).deb)
+	$(call install_control,linux-modules-nvidia-455-$(src_abi)-$*,$*,nvidia,455,postinst postrm prerm config templates)
 
 	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*
 	install -d debian/linux-modules-nvidia-450-$(src_abi)-$*/usr/lib/linux/triggers
@@ -177,14 +177,14 @@ override_dh_auto_install: prepare-dkms $(flavours)
 
 gencontrol_flags :=
 gencontrol_flags += -Vdkms:nvidia-390-modules="nvidia-dkms-390 (= $(dkms_nvidia_390_version))"
-gencontrol_flags += -Vdkms:nvidia-435-modules="nvidia-dkms-435 (= $(dkms_nvidia_435_version))"
+gencontrol_flags += -Vdkms:nvidia-455-modules="nvidia-dkms-455 (= $(dkms_nvidia_455_version))"
 gencontrol_flags += -Vdkms:nvidia-450-modules="nvidia-dkms-450 (= $(dkms_nvidia_450_version))"
 gencontrol_flags += -Vdkms:nvidia-418-server-modules="nvidia-dkms-418-server (= $(dkms_nvidia_418_server_version))"
 gencontrol_flags += -Vdkms:nvidia-440-server-modules="nvidia-dkms-440-server (= $(dkms_nvidia_440_server_version))"
 gencontrol_flags += -Vdkms:nvidia-450-server-modules="nvidia-dkms-450-server (= $(dkms_nvidia_450_server_version))"
 
 gencontrol_flags += -Vnvk:nvidia-390="nvidia-kernel-common-390 (<= $(nvidia_390_upstream_version)-1), nvidia-kernel-common-390 (>= $(nvidia_390_upstream_version))"
-gencontrol_flags += -Vnvk:nvidia-435="nvidia-kernel-common-435 (<= $(nvidia_435_upstream_version)-1), nvidia-kernel-common-435 (>= $(nvidia_435_upstream_version))"
+gencontrol_flags += -Vnvk:nvidia-455="nvidia-kernel-common-455 (<= $(nvidia_455_upstream_version)-1), nvidia-kernel-common-455 (>= $(nvidia_455_upstream_version))"
 gencontrol_flags += -Vnvk:nvidia-450="nvidia-kernel-common-450 (<= $(nvidia_450_upstream_version)-1), nvidia-kernel-common-450 (>= $(nvidia_450_upstream_version))"
 gencontrol_flags += -Vnvk:nvidia-418-server="nvidia-kernel-common-418-server (<= $(nvidia_418_server_upstream_version)-1), nvidia-kernel-common-418-server (>= $(nvidia_418_server_upstream_version))"
 gencontrol_flags += -Vnvk:nvidia-440-server="nvidia-kernel-common-440-server (<= $(nvidia_440_server_upstream_version)-1), nvidia-kernel-common-440-server (>= $(nvidia_440_server_upstream_version))"